[FAQ] Warning: Cannot modify header information... / WordPress - форум поддержки пользователей

Опубликовано: 01.09.2018

видео [FAQ] Warning: Cannot modify header information... / WordPress - форум поддержки пользователей

Warning:Cannot modify header while using PHP header function

Если у Вас при установке в самом верху страницы появляется вот такая примерно строчка:


How to Fix Cannot Modify Header Information

Код:

Warning: Cannot modify header information - headers already sent by (output started at /usr/home/saleitme/domains/saleitme.com/public_html/wp-config.php:1)

Скорее всего, Вы редактировали файл wp-config.php руками. Редактор, в котором Вы это делали, поставил в начало файла специальные метки (BOM называется). По эти меткам можно распознать, что файл в кодировке utf-8. Но некоторые веб-серверы не понимают, что это служебная информация и выводят ее в браузер.


WordPress: Warning: Cannot modify header information – headers already sent

Кстати, при автоматической установке, ничего подобного не возникает :)

Как решить проблему?

Нулевой вариант : Скачать дистрибутив WordPress с http://mywordpress.ru/download. Так как проблема возникает у многих, пришлось поступиться принципами и файл wp-config-sample.php теперь в кодировке ANSI. Но я настоятельно рекомендую не править файл wp-config.php руками при первоначальной установке, а использовать автоматическую установку.

1 вариант : Открыть файл wp-config.php в редакторе PSPad . Меню "Формат". Там выбираем кодировку ANSI и загружаем файл на сервер.

2 вариант : Взять wp-config-sample.php из оригинального дистрибутива WordPress. Конструктор "Сделай Сам" :)

Еще вариант : Использовать для редактирования скриптов только программы, специально разработанные для программистов, например AkelPad или Notepadd++. Програмерские редакторы умеют сохранять файлы в utf-8 без BOM.

Отредактированно Ю.Б. (12.01.2013 12:13:07)

За деньги с WordPress не разбираюсь. Только ради интереса.
rss